{
  pkgs,
  lib,
  config,
  ...
}: let
  cfg = config.gaming.proton_ge;
in {
  options.gaming.proton_ge = {
    enable = lib.mkEnableOption "enable proton ge";
  };

  # this is an imperitive install after rebuild run `protonup`
  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      protonup-ng
    ];

    # tells `protonup` what path to use
    environment.sessionVariables = {
      STEAM_EXTRA_COMPACT_TOOLS_PATHS = "/home/blake/.steam/root/compatibilitytools.d";
    };
  };
}
